跳转到内容
简体中文

邮件内容

GET/v1/mailboxes/{mailbox_id}/messages/{uid}

从邮件列表中发送 folder、uidvalidity 和 uid。 HTML 已清除,不包括外部图像。要将字母标记为已读,请执行单独的操作 read.

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages/<uid>?uidvalidity=<uidvalidity>' \
-H 'Authorization: Bearer <access_token>'

选项

mailbox_idpath一定

integer

uidpath一定

integer

uidvalidityquery一定

integer

folderquery

string

默认: "INBOX"

X-Customer-IDheader
选项 1

string

选项 2

null

响应

200 成功回复

application/json

object

uid

integer

uidvalidity

integer

folder

string

message_id

string

thread_id

string

sender

string

recipients

array

数组元素

object

name

string

email

string

subject

string

preview

string

flags

array

数组元素

string

size_bytes

integer

received_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

text

string

html

string

attachments

array

数组元素

object

index

integer

filename

string

content_type

string

size_bytes

integer

cc

array

数组元素

object

name

string

email

string

references

string

reply_to

string

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object